Subject: Re: [xmpp] Help on XMPP/Jabber Origin for STUN/TURN
From: Alan Johnston <[email-masked]>
To: Peter Saint-Andre <[email-masked]>
Cc: XMPP Working Group <[email-masked]>
Date: Fri, 1 Aug 2014 12:25:06 -0500
List-Id: XMPP Working Group <xmpp.ietf.org>

Peter,

Thanks for resending this. I like the suggested text and think it would
work well.

- Alan -

On Fri, Aug 1, 2014 at 11:49 AM, Peter Saint-Andre <[email-masked]>
wrote:

> Hi Alan,
>
> Here's what I had sent to you and your co-authors in July 1st...
>
> ###
>
> First, I think it's better to say "XMPP", not "Jabber".
>
> This might be ambiguous:
>
>    For a Jabber client [RFC6120] using STUN and TURN, the ORIGIN
>    attribute is the Jabber ID (JID) [RFC6122] of the Jabber Server that
>    the client is using.
>
> If user's JID is [email-masked] but the "Jabber server" (resolved via
> SRV) is xmpp.hosting.example.net, we'd use "example.com".
>
> The next paragraph indicates that the ORIGIN is supposed to be a URL:
>
>    Other contexts can define a usage of the ORIGIN attribute to use an
>    appropriate URI or URL.
>
> In that case, we'd specify an XMPP URI (RFC 5122).
>
> Thus I might suggest:
>
>    For an XMPP client [RFC6120] using STUN and TURN, the ORIGIN
>    attribute is an XMPP URI [RFC5122] representing the domainpart
>    of the client's Jabber ID (JID) [RFC6122]; for example, if the
>    client's JID is "[email-masked]/balcony" then the ORIGIN
>    attribute would be "xmpp:im.example.com".
>
> Peter
>
> ###
>
> On 8/1/14, 9:45 AM, Peter Saint-Andre wrote:
>
>> Hi Alan, did you receive the email message I sent you on this topic some
>> weeks ago? ;-)
>>
>> Sent from mobile, might be terse
>>
>> On Aug 1, 2014, at 8:50 AM, Alan Johnston <[email-masked]
>> <mailto:[email-masked]>> wrote:
>>
>>  Hi,
>>>
>>> In the TRAM WG, we are working on an extension to STUN/TURN for a
>>> client to convey origin information to a server.
>>>
>>> http://tools.ietf.org/html/draft-ietf-tram-stun-origin
>>>
>>> The driver for this effort is WebRTC, where the origin is the HTTP
>>> origin of the web site that is establishing the Peer Connection.
>>>  Other users of STUN and TURN can also provide origin information.
>>>  The draft currently has this text about SIP and XMPP:
>>>
>>>    For a SIP User Agent [RFC3261] using STUN and TURN, the ORIGIN
>>>    attribute is set to be the URI of the registrar server used by the
>>>    User Agent (i.e. the Request-URI of a REGISTER method).
>>>
>>>    For a Jabber client [RFC6120] using STUN and TURN, the ORIGIN
>>>    attribute is the Jabber ID (JID) [RFC6122] of the Jabber Server that
>>>    the client is using.
>>>
>>> We would greatly appreciate feedback from you on what this text should
>>> say about XMPP/Jabber in terms of a useful origin.
>>>
>>> - Alan -
>>> _______________________________________________
>>> xmpp mailing list
>>> [email-masked] <mailto:[email-masked]>
>>> https://www.ietf.org/mailman/listinfo/xmpp
>>>
>>
>>
>> _______________________________________________
>> xmpp mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/xmpp
>>
>>
>